## nautilus 3.38.2

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: nautilus
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: appstream-util <!nocheck>,
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               desktop-file-utils <!nocheck>,
               gtk-doc-tools (>= 1.10),
               libatk1.0-dev (>= 1.32.0),
               libfontconfig1-dev,
               libgail-3-dev,
               libgexiv2-dev (>= 0.10.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.62),
               libglib2.0-doc,
               libgnome-autoar-0-dev (>= 0.2.1),
               libgnome-desktop-3-dev (>= 3.10),
               libgstreamer-plugins-base1.0-dev,
               libgtk-3-dev (>= 3.22.27),
               libgtk-3-doc,
               libpango1.0-dev (>= 1.42),
               libselinux1-dev (>= 2.0) [linux-any],
               libtracker-sparql-2.0-dev,
               libxml2-dev (>= 2.7.8),
               meson (>= 0.49.0),
               shared-mime-info (>= 0.50),
               tracker <!nocheck>,
               tracker-extract <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b debian/bullseye
Standards-Version: 4.5.0

Package: nautilus
Architecture: any
Depends: bubblewrap [linux-any],
         desktop-file-utils (>= 0.7),
         gsettings-desktop-schemas (>= 3.8.0),
         gvfs (>= 1.3.2),
         libglib2.0-data,
         libnautilus-extension1a (= ${binary:Version}),
         nautilus-data (= ${source:Version}),
         shared-mime-info (>= 0.50),
         tracker,
         tracker-miner-fs,
         tracker-extract,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-sushi,
            gvfs-backends,
            libgdk-pixbuf2.0-bin,
            librsvg2-common
Suggests: eog,
          evince | pdf-viewer,
          nautilus-extension-brasero,
          nautilus-sendto,
          totem | mp3-decoder,
          xdg-user-dirs
Replaces: totem (<< 3.31.91-1),
Breaks: totem (<< 3.31.91-1),
Description: file manager and graphical shell for GNOME
 Nautilus is the official file manager for the GNOME desktop. It allows
 one to browse directories, preview files and launch applications
 associated with them. It is also responsible for handling the icons on
 the GNOME desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: gir1.2-nautilus-3.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - gir bindings
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libnautilus-extension-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-nautilus-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.49.1),
         libgtk-3-dev (>= 3.22.27),
         libnautilus-extension1a (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - development version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nautilus extensions.

Package: libnautilus-extension1a
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - runtime version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains a few runtime libraries needed by nautilus' extensions.

Package: nautilus-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for nautilus
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains pictures, localization files and other data
 needed by nautilus.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

ifeq ($(DEB_HOST_ARCH_OS),linux)
ENABLE_SELINUX := -Dselinux=true
else
ENABLE_SELINUX := -Dselinux=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocs=true \
		-Dextension=true \
		-Dpackagekit=true \
		-Dtests=all \
		$(ENABLE_SELINUX)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
	dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
endif

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/3.38/ \
	@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## nautilus 40.2

=== debian/changelog ===
nautilus (1:40.2-1ubuntu1) impish; urgency=medium

  * Merge with Debian:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
      + Bump dbgsym migration version
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - ubuntu_infobars_color.patch:
      + set infobar type to "other" rather than "question" to avoid blue
        cluebars
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
  * debian/patches: Refresh.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 24 Jun 2021 18:04:20 +0100

nautilus (40.2-1) experimental; urgency=medium

  * New upstream release
  * control: Update Deps and BDs for 40
  * Drop changes reverting to tracker 2. We've got 3 ready now, and can use it
  * rules: Disable libportal. This is mostly useful inside a flatpak for now,
    as it's used only to set wallpaper and the 'traditional' way is still
    available as a fallback.
  * debian/rules: Drop nocheck test on override_dh_auto_test.
    There's no need to check for "nocheck" when overriding dh_auto_test with
    compat 13
  * control: Breaks gedit << 40.  In commit
    e96aac1f6526f5373405e071703b5f18b0c728d3, nautilus dropped the
    `org.gnome.nautilus` key `confirm-trash`. gedit was using this before
    version 40, so it would crash on startup. Add a `Breaks` so that it gets
    upgraded.

 -- Iain Lane <laney@debian.org>  Thu, 24 Jun 2021 17:55:57 +0100

nautilus (1:3.38.2-1ubuntu3) impish; urgency=medium

  * Remove Ubuntu specific changes that were needed for nautilus, now
    upstream nautilus is provided what is needed and Unity got updated
    to use the new api.
  * debian/control.in:
    - Breaks unity (<< 7.5.1+21.10.20210601.1-0ubuntu1) which is the
      version that includes the api updates
  * debian/patches/19_unity_open_location_xid.patch,
    debian/patches/20_add_timestamp_to_operations.patch:
    - removed, those are not needed anymore

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Jun 2021 15:13:07 +0200

nautilus (1:3.38.2-1ubuntu2) hirsute; urgency=medium

  * d/p/19_unity_open_location_xid:
    - Do not update opened locations on bus connection.
      Nautilus may connect to the bus when the application is already about
      shut down, however at that point its implementation is destroyed but
      Gio doesn't handle this gracefully as per GNOME/GLib!2056.
      To prevent this, we can safely reduce the delta of the distro-patch by
      avoiding updating the opened locations on bus acquired, as we already do
      it in all the cases a window actually changes its state. (LP: #1820859)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 21 Apr 2021 07:03:29 +0200

nautilus (1:3.38.2-1ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/nautilus.maintscript: set epoch number
      (which was added by error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 0001-Respect-gtk-dialogs-use-header-for-all-dialogs.patch
      + Use a normal titlebar if the desktop environment wants it
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - 20_add_timestamp_to_operations.patch:
      + Add *WithTimestamp dbus methods for file operations that
        might trigger a dialog, that should be presented with time.
    - appstream-compulsory.patch:
      + Set nautilus as unremovable in GNOME Software
    - nautilusgtkplacesview-show-error-if-volume-is-not-mo.patch:
      + show error if volume is not mounted, see LP #1764779
    - ubuntu/shell-search-provider-implement-XUbuntuCancel-to-request-.patch:
      + implement XUbuntuCancel to request search cancellation
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - ubuntu_infobars_color.patch:
      + set infobar type to "other" rather than "question" to avoid blue
        cluebars

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Jan 2021 17:23:10 +0100

nautilus (3.38.2-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/revert_tracker_update.patch: Refreshed

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Dec 2020 15:54:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
@@ -19,27 +20,33 @@
                libgail-3-dev,
                libgexiv2-dev (>= 0.10.0),
                libgirepository1.0-dev (>= 0.10.7-1~),
-               libglib2.0-dev (>= 2.62),
+               libglib2.0-dev (>= 2.67.1),
                libglib2.0-doc,
-               libgnome-autoar-0-dev (>= 0.2.1),
+               libgnome-autoar-0-dev (>= 0.3.0),
                libgnome-desktop-3-dev (>= 3.10),
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.22.27),
                libgtk-3-doc,
+               libhandy-1-dev (>= 1.1.90),
                libpango1.0-dev (>= 1.42),
                libselinux1-dev (>= 2.0) [linux-any],
-               libtracker-sparql-2.0-dev,
+               libtracker-sparql-3.0-dev,
                libxml2-dev (>= 2.7.8),
                meson (>= 0.49.0),
                shared-mime-info (>= 0.50),
-               tracker <!nocheck>,
-               tracker-extract <!nocheck>,
+               libunity-dev (>= 5.0.0),
+               tracker (>= 3) <!nocheck>,
+               tracker-extract (>= 3) <!nocheck>,
+               tracker-miner-fs (>= 3) <!nocheck>,
+               tracker-test-utils (>= 3) <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b debian/bullseye
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
+Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/master
 Standards-Version: 4.5.0
 
 Package: nautilus
@@ -52,23 +59,27 @@
          libnautilus-extension1a (= ${binary:Version}),
          nautilus-data (= ${source:Version}),
          shared-mime-info (>= 0.50),
-         tracker,
-         tracker-miner-fs,
-         tracker-extract,
+         tracker (>= 3),
+         tracker-miner-fs (>= 3),
+         tracker-extract (>= 3),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-sushi,
-            gvfs-backends,
+Recommends: gvfs-backends,
             libgdk-pixbuf2.0-bin,
             librsvg2-common
 Suggests: eog,
           evince | pdf-viewer,
+          gnome-sushi,
           nautilus-extension-brasero,
           nautilus-sendto,
           totem | mp3-decoder,
           xdg-user-dirs
-Replaces: totem (<< 3.31.91-1),
-Breaks: totem (<< 3.31.91-1),
+Replaces: nautilus-data (<< 1:3.38.1-1ubuntu1),
+          totem (<< 3.31.91-1),
+Breaks: gedit (<< 40),
+        nautilus-data (<< 1:3.38.1-1ubuntu1),
+        totem (<< 3.31.91-1),
+        unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  one to browse directories, preview files and launch applications
@@ -97,7 +108,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-nautilus-3.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.49.1),
+         libglib2.0-dev (>= 2.67.1),
          libgtk-3-dev (>= 3.22.27),
          libnautilus-extension1a (= ${binary:Version}),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -16,15 +16,20 @@
 	dh_auto_configure -- \
 		-Ddocs=true \
 		-Dextension=true \
+		-Dlibportal=false \
 		-Dpackagekit=true \
 		-Dtests=all \
+		-Dunity-launcher=true \
 		$(ENABLE_SELINUX)
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
 	dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
-endif
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
+
+override_dh_install:
+	dh_install
+	mkdir -p debian/nautilus/usr/share/apport/package-hooks
+	sed 's/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g' debian/source_nautilus.py.in > debian/nautilus/usr/share/apport/package-hooks/source_nautilus.py

## nautilus 42.0

=== debian/changelog ===
nautilus (1:42.0-1ubuntu2) jammy; urgency=medium

  * Cherry-pick patch to set the dark wallpaper when setting the
    desktop wallpaper (LP: #1965558)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Mar 2022 09:55:21 -0400

nautilus (1:42.0-1ubuntu1) jammy; urgency=medium

  * New upstream version fixing a recent segfault (lp: #1962761)
  * Resynchronize with Debian, remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - ubuntu_infobars_color.patch:
      + set infobar type to "other" rather than "question" to avoid blue
        cluebars
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - Bump version for maintscript since there was a 20.04 LTS SRU with
      higher version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Mar 2022 09:37:57 +0100

nautilus (42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 09:36:54 -0400

nautilus (42~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 13:39:12 -0500

nautilus (1:42~beta-1ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * Resynchronize with Debian, remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - ubuntu_infobars_color.patch:
      + set infobar type to "other" rather than "question" to avoid blue
        cluebars
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
  * Bump version for maintscript since there was a 20.04 LTS SRU with
    higher version
  * Refresh patches

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh XUbuntuCancel support patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 23 Feb 2022 21:38:32 -0500

nautilus (42~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libhandy and libgexiv2
  * Add patch to revert a commit that introduced a build test failure.
    Thanks to Seb Bacher for identifying the commit.

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 23 Feb 2022 07:48:55 -0500

nautilus (1:41.2-1ubuntu1) jammy; urgency=medium

  * Resynchronize with Debian, remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
      + Bump dbgsym migration version
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - ubuntu_infobars_color.patch:
      + set infobar type to "other" rather than "question" to avoid blue
        cluebars
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
  * debian/rules: Run dh_auto_test with NO_AT_BRIDGE=1

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 03 Feb 2022 14:51:57 -0500

nautilus (41.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Jan 2022 13:14:13 -0500

nautilus (1:41.1-1ubuntu1) jammy; urgency=medium

  * Resynchronize with Debian, remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,


=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
@@ -18,16 +18,16 @@
                libatk1.0-dev (>= 1.32.0),
                libfontconfig1-dev,
                libgail-3-dev,
-               libgexiv2-dev (>= 0.10.0),
+               libgexiv2-dev (>= 0.14.0),
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-dev (>= 2.67.1),
                libglib2.0-doc,
-               libgnome-autoar-0-dev (>= 0.3.0),
+               libgnome-autoar-0-dev (>= 0.4.0),
                libgnome-desktop-3-dev (>= 3.10),
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.22.27),
                libgtk-3-doc,
-               libhandy-1-dev (>= 1.1.90),
+               libhandy-1-dev (>= 1.5.0),
                libpango1.0-dev (>= 1.42),
                libselinux1-dev (>= 2.0) [linux-any],
                libtracker-sparql-3.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 ENABLE_SELINUX := -Dselinux=true
@@ -15,7 +16,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Ddocs=true \
-		-Dextension=true \
 		-Dlibportal=false \
 		-Dpackagekit=true \
 		-Dtests=all \
@@ -24,10 +24,7 @@
 
 override_dh_auto_test:
 	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
-	dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
-
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c4
+	NO_AT_BRIDGE=1 dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
 
 override_dh_install:
 	dh_install

## nautilus 42.2

=== debian/changelog ===
nautilus (1:42.2-0ubuntu2.1) jammy-security; urgency=medium

  * SECURITY UPDATE: crash via invalid zip file
    - debian/patches/CVE-2022-37290.patch: fix crash when copying an
      invalid file in src/nautilus-dbus-manager.c,
      src/nautilus-file-operations.c.
    - CVE-2022-37290

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 03 Jan 2023 12:29:48 -0500

nautilus (1:42.2-0ubuntu2) jammy; urgency=medium

  * d/p/ubuntu/unity_launcher_support.patch: Only set window time under x11
    (LP: #1934579)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 12 Dec 2022 15:08:24 +0100

nautilus (1:42.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1976120)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 May 2022 15:54:54 -0400

nautilus (1:42.1.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1970788)
  * Drop dark wallpaper patch: applied in new release
  * Update Vcs fields for ubuntu/jammy branch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Apr 2022 15:14:44 -0400

=== debian/control ===
--- 
+++ 
@@ -45,8 +45,8 @@
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/jammy
 Standards-Version: 4.5.0
 
 Package: nautilus

## nautilus 42.2-0ubuntu2.1+11.0trisquel3

=== meson_options.txt ===
##############
# Extensions #
##############
option(
  'docs',
  type: 'boolean',
  value: false,
  description: 'Build documentation for extension library',
)
option(
  'extensions',
  type: 'boolean',
  value: true,
  description: 'Build stock extensions',
)
option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Build GObject introspection data for extension library',
)
##################
# End extensions #
##################

############
# Features #
############
option(
  'libportal',
  type: 'boolean',
  value: true,
  description: 'Enable using xdg-desktop-portals for desktop integration',
)
option(
  'packagekit',
  type: 'boolean',
  value: true,
  description: 'Enable finding file type handlers using PackageKit',
)
option(
  'selinux',
  type: 'boolean',
  value: false,
  description: 'Enable SELinux context support in file properties dialog',
)
option ('unity-launcher',
        type: 'boolean',
        value: false,
        description: 'build with unity launcher support')
################
# End features #
################

###########
# Testing #
###########
option(
  'profiling',
  type: 'boolean',
  value: false,
  description: 'Enable performance profiling',
)
option(
  'tests',
  type: 'combo',
  choices: [
    'none',
    'headless',
    'all'
  ],
  value: 'headless',
  description: 'Build selected tests',
)
###############
# End testing #
###############

option(
  'profile',
  type: 'string',
  value: '',
  description: 'Build with specified application ID',
)

=== debian/changelog ===
nautilus (1:42.2-0ubuntu2.1+11.0trisquel3) aramo-security; urgency=medium

  * Revert from using ubuntu-help to default gnome-help

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 Jan 2023 14:39:19 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util <!nocheck>,

## nautilus 42.6

=== debian/changelog ===
nautilus (1:42.6-0ubuntu2) jammy; urgency=medium

  * Fix crash when closing window (LP: #2011350)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 11 Mar 2025 22:25:08 +0100

nautilus (1:42.6-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #2013338)
    - Also includes fixes for CVE-2022-37290, so we drop
      debian/patches/CVE-2022-37290.patch.
    - Fixes too small archive type dropdown when creating an archive
      (LP: #2004475)

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 30 Mar 2023 09:39:16 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),

## nautilus 42.6-0ubuntu2+11.0trisquel3

=== debian/changelog ===
nautilus (1:42.6-0ubuntu2+11.0trisquel3) aramo; urgency=medium

  * Revert from using ubuntu-help to default gnome-help

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 29 Apr 2025 12:48:10 +0000

## nautilus 43.0

=== debian/changelog ===
nautilus (1:43.0-1ubuntu2.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: crash via invalid zip file
    - debian/patches/CVE-2022-37290.patch: fix crash when copying an
      invalid file in src/nautilus-dbus-manager.c,
      src/nautilus-file-operations.c.
    - CVE-2022-37290

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 03 Jan 2023 12:27:45 -0500

nautilus (1:43.0-1ubuntu2) kinetic; urgency=medium

  * debian: Update references to ubuntu/kinetic branch
  * d/p/ubuntu/unity_launcher_support.patch: Only set window time under x11
    (LP: #1934579)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 12 Dec 2022 14:52:09 +0100

nautilus (1:43.0-1ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian, remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - Revert commit that requires libcloudproviders because it's not in
      Ubuntu main

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 15:04:08 -0400

nautilus (43.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Sep 2022 07:02:39 -0400

nautilus (43~rc-2) experimental; urgency=medium

  [ Simon McVittie ]
  * Replace transitional libfontconfig1-dev with libfontconfig-dev

  [ Jeremy Bicha ]
  * debian/control.in: Drop unneeded Breaks that made nautilus uninstallable
    (Closes: #1019315)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 08:06:59 -0400

nautilus (1:43~rc-1ubuntu1) kinetic; urgency=medium

  * New upstream release
  * Resynchronize with Debian, remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - Revert commit that requires libcloudproviders because it's not in
      Ubuntu main
  * Refresh and reorganize patches

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 11:57:52 -0400

nautilus (43~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum gtk4 to 4.7.2
  * Use gi-docgen to build docs
  * Drop 32-bit build patch: applied in new release
  * Add Breaks for nautilus extensions we are removing
    because they are incompatible with Nautilus 43

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 11:30:43 -0400

nautilus (1:43~beta.1-2ubuntu3) kinetic; urgency=medium

  * Add Breaks for nautilus extensions we are removing
    because they are incompatible with Nautilus 43

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2022 16:26:33 -0400

nautilus (1:43~beta.1-2ubuntu2) kinetic; urgency=medium

  * Update 12_unity_launcher_support.patch and re-enable it

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 16 Aug 2022 08:30:16 -0400

nautilus (1:43~beta.1-2ubuntu1) kinetic; urgency=medium

  * New upstream release
  * Resynchronize with Debian, remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back


=== debian/control ===
--- 
+++ 
@@ -7,32 +7,33 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               desktop-file-utils <!nocheck>,
-               gtk-doc-tools (>= 1.10),
-               libatk1.0-dev (>= 1.32.0),
-               libfontconfig1-dev,
-               libgail-3-dev,
+               desktop-file-utils,
+               gi-docgen,
+               libadwaita-1-dev (>= 1.2~beta),
+               libcloudproviders-dev (>= 0.3.1),
+               libfontconfig-dev,
                libgexiv2-dev (>= 0.14.0),
                libgirepository1.0-dev (>= 0.10.7-1~),
-               libglib2.0-dev (>= 2.67.1),
+               libglib2.0-dev (>= 2.72.0),
                libglib2.0-doc,
                libgnome-autoar-0-dev (>= 0.4.0),
-               libgnome-desktop-3-dev (>= 3.10),
+               libgnome-desktop-4-dev (>= 43~),
                libgstreamer-plugins-base1.0-dev,
-               libgtk-3-dev (>= 3.22.27),
-               libgtk-3-doc,
-               libhandy-1-dev (>= 1.5.0),
+               libgtk-3-common,
+               libgtk-4-dev (>= 4.7.2),
+               libgtk-4-doc,
                libpango1.0-dev (>= 1.42),
+               libportal-gtk4-dev (>= 0.5),
                libselinux1-dev (>= 2.0) [linux-any],
                libtracker-sparql-3.0-dev,
                libxml2-dev (>= 2.7.8),
-               meson (>= 0.49.0),
+               meson (>= 0.59.0),
                shared-mime-info (>= 0.50),
                libunity-dev (>= 5.0.0),
                tracker (>= 3) <!nocheck>,
@@ -45,9 +46,9 @@
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/jammy
-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/jammy
-Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/kinetic
+Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/kinetic
+Standards-Version: 4.6.1
 
 Package: nautilus
 Architecture: any
@@ -56,7 +57,7 @@
          gsettings-desktop-schemas (>= 3.8.0),
          gvfs (>= 1.3.2),
          libglib2.0-data,
-         libnautilus-extension1a (= ${binary:Version}),
+         libnautilus-extension4 (= ${binary:Version}),
          nautilus-data (= ${source:Version}),
          shared-mime-info (>= 0.50),
          tracker (>= 3),
@@ -74,10 +75,22 @@
           nautilus-sendto,
           totem | mp3-decoder,
           xdg-user-dirs
-Replaces: nautilus-data (<< 1:3.38.1-1ubuntu1),
-          totem (<< 3.31.91-1),
-Breaks: gedit (<< 40),
-        nautilus-data (<< 1:3.38.1-1ubuntu1),
+Replaces: totem (<< 3.31.91-1),
+Breaks: eiciel (<< 0.9.13.1-1.1~),
+        folder-color (<< 0.0.86-0ubuntu5~),
+        gedit (<< 40),
+        nautilus-dropbox (<< 2019.02.14-1ubuntu2~),
+        nautilus-extension-brasero (<< 3.12.3-2),
+        nautilus-extension-burner (<< 3.0.10-1.2),
+        nautilus-extension-gnome-console (<< 43),
+        nautilus-filename-repairer (<< 0.2.0-3.1~),
+        nautilus-font-manager (<< 0.8.8-2),
+        nautilus-gtkhash (<< 1.4+git20220617-2.1~),
+        nautilus-ideviceinfo (<< 0.1.0-0ubuntu15~),
+        nautilus-image-converter (<< 0.3.1~git20110416-2.1~),
+        nautilus-wipe (<< 0.3.1-2.1~),
+        nautilus-share (<< 0.7.3-2ubuntu7~),
+        seahorse-nautilus (<< 3.11.92-4.1~),
         totem (<< 3.31.91-1),
         unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
 Description: file manager and graphical shell for GNOME
@@ -89,7 +102,7 @@
  Several icon themes and components for viewing different kinds of files
  are available in separate packages.
 
-Package: gir1.2-nautilus-3.0
+Package: gir1.2-nautilus-4.0
 Architecture: any
 Multi-Arch: same
 Section: introspection
@@ -107,10 +120,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gir1.2-nautilus-3.0 (= ${binary:Version}),
+Depends: gir1.2-nautilus-4.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.67.1),
-         libgtk-3-dev (>= 3.22.27),
-         libnautilus-extension1a (= ${binary:Version}),
+         libnautilus-extension4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: libraries for nautilus components - development version
@@ -120,7 +132,7 @@
  This package provides the necessary development libraries and include
  files to develop and compile Nautilus extensions.
 
-Package: libnautilus-extension1a
+Package: libnautilus-extension4
 Architecture: any
 Multi-Arch: same
 Section: libs

## nautilus 43.1

=== debian/changelog ===
nautilus (43.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 16:05:49 -0500

## nautilus 43.2

=== debian/changelog ===
nautilus (43.2-1) unstable; urgency=medium

  * New upstream release (LP: #2002575)
    - Reintroduce the 67% (64px) zoom level for grid view
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 11 Jan 2023 15:37:05 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
@@ -35,7 +34,6 @@
                libxml2-dev (>= 2.7.8),
                meson (>= 0.59.0),
                shared-mime-info (>= 0.50),
-               libunity-dev (>= 5.0.0),
                tracker (>= 3) <!nocheck>,
                tracker-extract (>= 3) <!nocheck>,
                tracker-miner-fs (>= 3) <!nocheck>,
@@ -44,11 +42,9 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/kinetic
-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/kinetic
-Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
+Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
+Standards-Version: 4.6.2
 
 Package: nautilus
 Architecture: any
@@ -65,12 +61,12 @@
          tracker-extract (>= 3),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gvfs-backends,
+Recommends: gnome-sushi,
+            gvfs-backends,
             libgdk-pixbuf2.0-bin,
             librsvg2-common
 Suggests: eog,
           evince | pdf-viewer,
-          gnome-sushi,
           nautilus-extension-brasero,
           nautilus-sendto,
           totem | mp3-decoder,
@@ -92,7 +88,6 @@
         nautilus-share (<< 0.7.3-2ubuntu7~),
         seahorse-nautilus (<< 3.11.92-4.1~),
         totem (<< 3.31.91-1),
-        unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  one to browse directories, preview files and launch applications

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

ifeq ($(DEB_HOST_ARCH_OS),linux)
ENABLE_SELINUX := -Dselinux=true
else
ENABLE_SELINUX := -Dselinux=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocs=true \
		-Dpackagekit=true \
		-Dtests=all \
		$(ENABLE_SELINUX)

override_dh_auto_test:
	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
	NO_AT_BRIDGE=1 dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
